MultiXferItem (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union

## Interface MultiXferItem

- All Known Implementing Classes:
    MultiXferItemImpl

      public interface MultiXferItem

  Specifies an element of a transfer array that is used when reading one or more channels from an interlaced data stream.

  Interleaved-essence: An essence format that combines two or more channels of audio or video data into a single essence stream.

  See Also:
    `EssenceAccess`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getBuffer()` Returns the data buffer of this item.
    `int` | `getBuflen()` Deprecated. Java class-based representation of arrays instead, e.g. call `getBuffer()``.length`.
    `AUID` | `getMediaKind()` Returns the type of essence of this data item.
    `int` | `getNumSamples()` Returns the number of samples of this data item to transfer.
    `short` | `getSubTrackNum()` Returns the physical input-output track number of this data item, also known as "physical".
    `void` | `setBuffer(byte[] buffer)` Sets the data buffer of this item.
    `void` | `setBuflen(int buflen)` Deprecated. Buffer length is set by `setBuffer(byte[])`.
    `void` | `setMediaKind(AUID mediaKind)` Sets the essence type definition of this data item.
    `void` | `setNumSamples(int numSamples)` Sets the number of samples of this data item to transfer.
    `void` | `setSubTrackNum(short subTrackNum)` Sets the physical input-output track number of this data item, also known as "physical".

- - ### Method Detail

    - #### getBuffer

          @DataBuffer
          byte[] getBuffer()

      Returns the data buffer of this item.

      Returns:
        Data buffer of this item.

    - #### setBuffer

          void setBuffer(@DataBuffer
                         byte[] buffer)
                  throws NullPointerException

      Sets the data buffer of this item.

      Parameters:
        `buffer` - Data buffer of this item.
      Throws:
        `NullPointerException` - The given data buffer is `null`.

    - #### getBuflen

          @Deprecated
           @UInt32
          int getBuflen()

      Deprecated. Java class-based representation of arrays instead, e.g. call `getBuffer()``.length`.

      Returns the length of the data buffer of this item.

      Returns:
        Length of the data buffer of this item.

    - #### setBuflen

          @Deprecated
          void setBuflen(@UInt32
                                     int buflen)

      Deprecated. Buffer length is set by `setBuffer(byte[])`.

      Provided to set the length of the data buffer of this item but this feature is unnecessary with Java's class-based representation of arrays. This method does nothing.

      Parameters:
        `buflen` - Value is ignored.

    - #### getMediaKind

          AUID getMediaKind()

      Returns the type of essence of this data item.

      Returns:
        Type of essence represented by this item.

    - #### setMediaKind

          void setMediaKind(AUID mediaKind)
                     throws NullPointerException

      Sets the essence type definition of this data item.

      Parameters:
        `mediaKind` - Type of essence represented by this item.
      Throws:
        `NullPointerException` - The given media kind is `null`.

    - #### getNumSamples

          @UInt32
          int getNumSamples()

      Returns the number of samples of this data item to transfer.

      Returns:
        Number of samples of this data item to transfer.

    - #### setNumSamples

          void setNumSamples(@UInt32
                             int numSamples)
                      throws IllegalArgumentException

      Sets the number of samples of this data item to transfer.

      Parameters:
        `numSamples` - Number of samples of this data item to transfer.
      Throws:
        `IllegalArgumentException` - The given number of samples is negative.

    - #### getSubTrackNum

          @Int16
          short getSubTrackNum()

      Returns the physical input-output track number of this data item, also known as "physical".

      Returns:
        Physical input-output track number of this data item.

    - #### setSubTrackNum

          void setSubTrackNum(@Int16
                              short subTrackNum)

      Sets the physical input-output track number of this data item, also known as "physical".

      Parameters:
        `subTrackNum` - Physical input-output track number of this data item.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.